org.apache.xmlgraphics.xmp

## Class XMPComplexValue

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPComplexValue

- All Implemented Interfaces:
    XMLizable
  Direct Known Subclasses:
    XMPArray, XMPStructure

      public abstract class XMPComplexValue
      extends java.lang.Object
      implements XMLizable

  Base class for complex data types in XMP.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMPComplexValue()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.Object` | `getSimpleValue()` Returns a normal Java object representing the value if it is available.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.util.XMLizable

      `toSAX`

- - ### Constructor Detail

    - #### XMPComplexValue

          public XMPComplexValue()

  - ### Method Detail

    - #### getSimpleValue

          public abstract java.lang.Object getSimpleValue()

      Returns a normal Java object representing the value if it is available.
      Returns:
        a simple object value or null if no such value can be returned (for example, because the value is an array and has multiple entries.

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.